## kfilemetadata-kf5 5.38.0

=== debian/changelog ===
kfilemetadata-kf5 (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:17 +0100

kfilemetadata-kf5 (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:56 +0100

kfilemetadata-kf5 (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)
  * Add qtmultimedia5-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:39 +0100

kfilemetadata-kf5 (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:56 +0100

kfilemetadata-kf5 (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:51 +0100

kfilemetadata-kf5 (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:06:24 +0100

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: catdoc,
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.38.0~),
               libattr1-dev,
               libavcodec-dev,
               libavdevice-dev (>= 1.0~),
               libavformat-dev,
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkf5archive-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libpostproc-dev,
               libswscale-dev,
               libtag1-dev (>= 1.9~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18),
               qtbase5-dev (>= 5.6.1~),
               qtmultimedia5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kfilemetadata
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata

Package: libkf5filemetadata3
Architecture: any
Multi-Arch: same
Section: libs
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Breaks: libkf5filemetadata2 (<< 5.6.0)
Replaces: libkf5filemetadata2 (<< 5.6.0)
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-l10n (<= 4:4.14.0-1),
        libkf5filemetadata2 (<< 5.6.0),
        libkf5filemetadata5 (<< 5.0.0a),
        ${kde-l10n:all}
Replaces: kde-l10n (<= 4:4.14.0-1),
          libkf5filemetadata2 (<< 5.6.0),
          libkf5filemetadata5 (<< 5.0.0a),
          ${kde-l10n:all}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-bin
Architecture: any
Multi-Arch: same
Depends: catdoc, ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-dev
Architecture: any
Section: libdevel
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5filemetadata1-dev
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

## kfilemetadata-kf5 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project(KFileMetaData VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KFILEMETADATA
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfigVersion.cmake"
                  SOVERSION 3)

# Dependencies
set(REQUIRED_QT_VERSION 5.7.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Xml)

find_package(KF5 ${KF5_DEP_VERSION} COMPONENTS Archive)
set_package_properties(KF5Archive PROPERTIES DESCRIPTION "KDE Frameworks 5: Archive Framework"
                       URL "https://download.kde.org/stable/frameworks/" TYPE OPTIONAL
                       PURPOSE "Archive is needed to build ODF and OOXML 2007 extractors")

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS I18n)

find_package(Poppler 0.12.1 COMPONENTS Qt5)
set_package_properties(Poppler PROPERTIES DESCRIPTION "A PDF rendering library"
                       URL "http://poppler.freedesktop.org" TYPE OPTIONAL
                       PURPOSE "Support for PDF files")

find_package(Taglib 1.9)
set_package_properties(Taglib PROPERTIES DESCRIPTION "Id3 tag reader"
                       URL "http://developer.kde.org/~wheeler/taglib.html" TYPE OPTIONAL
                       PURPOSE "Support for music metadata")

find_package(Exiv2 0.21)
set_package_properties(Exiv2 PROPERTIES DESCRIPTION "Image Tag reader"
                       URL "http://www.exiv2.org" TYPE OPTIONAL
                       PURPOSE "Support for image metadata")

find_package(FFmpeg 1.0)
set_package_properties(FFmpeg PROPERTIES DESCRIPTION "Video Tag reader"
                       URL "http://ffmpeg.org" TYPE OPTIONAL
                       PURPOSE "Support for video metadata")

find_package(EPub)
set_package_properties(EPub PROPERTIES DESCRIPTION "Ebook epub reader"
                       URL "http://sourceforge.net/projects/ebook-tools" TYPE OPTIONAL
                       PURPOSE "Support for epub metadata")

find_package(CatDoc)
set_package_properties(CatDoc PROPERTIES DESCRIPTION "catdoc executable"
                       URL "http://www.wagner.pp.ru/~vitus/software/catdoc/" TYPE RUNTIME
                       PURPOSE "Extract text from office 98 files - RUNTIME dependency")

if ( CMAKE_SYSTEM_NAME MATCHES "Linux" )
    find_package(Xattr)
    set_package_properties(Xattr PROPERTIES
        URL "http://savannah.nongnu.org/projects/attr"
        TYPE REQUIRED)
endif()

#find_package(QMobipocket)
#set_package_properties(QMobipocket PROPERTIES DESCRIPTION "Mobipocket epub reader"
#                       URL "https://projects.kde.org/projects/kde/kdegraphics/kdegraphics-mobipocket"
#                       TYPE OPTIONAL PURPOSE "Support for mobi metadata")

add_definitions(-DTRANSLATION_DOMAIN=\"kfilemetadata5\")

add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(autotests)
  add_subdirectory(tests)
endif()

# Config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5FileMetaData")

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5FileMetaData_QCH
        FILE KF5FileMetaDataQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5FileMetaDataQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5FileMetaDataConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT devel
)

# contains list of debug categories, for kdebugsettings
install(FILES kfilemetadata.categories DESTINATION ${KDE_INSTALL_CONFDIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(KF5FileMetaData_SRCS
    extractionresult.cpp
    simpleextractionresult.cpp
    extractor.cpp
    extractorplugin.cpp
    extractorcollection.cpp
    externalextractor.cpp
    propertyinfo.cpp
    typeinfo.cpp
    usermetadata.cpp
    writedata.cpp
    writer.cpp
    writerplugin.cpp
    writercollection.cpp
    externalwriter.cpp
    )
ecm_qt_declare_logging_category(KF5FileMetaData_SRCS HEADER kfilemetadata_debug.h IDENTIFIER KFILEMETADATA_LOG CATEGORY_NAME kf5.kfilemetadata)

add_library(KF5FileMetaData
    ${KF5FileMetaData_SRCS}
)

add_library(KF5::FileMetaData ALIAS KF5FileMetaData)

target_link_libraries(KF5FileMetaData
  PUBLIC
    Qt5::Core
  PRIVATE
    KF5::I18n
)

generate_export_header(KF5FileMetaData BASE_NAME KFileMetaData EXPORT_FILE_NAME kfilemetadata_export.h)

set_target_properties(KF5FileMetaData PROPERTIES
    VERSION ${KFILEMETADATA_VERSION_STRING}
    SOVERSION ${KFILEMETADATA_SOVERSION}
    EXPORT_NAME FileMetaData
)

target_include_directories(KF5FileMetaData INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KFileMetaData>")

ecm_generate_headers(KF5FileMetaData_CamelCase_HEADERS
    HEADER_NAMES
    ExtractionResult
    SimpleExtractionResult
    Extractor
    ExtractorPlugin
    ExtractorCollection
    Properties
    PropertyInfo
    Types
    TypeInfo
    UserMetaData
    WriteData
    Writer
    WriterPlugin
    WriterCollection

    PREFIX kfilemetadata
    REQUIRED_HEADERS KF5FileMetaData_HEADERS
)

install(TARGETS KF5FileMetaData EXPORT KF5FileMetaDataTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(EXPORT KF5FileMetaDataTargets
        NAMESPACE KF5::
        DESTINATION ${LIB_INSTALL_DIR}/cmake/KF5FileMetaData
        FILE KF5FileMetaDataTargets.cmake)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kfilemetadata_export.h
    ${KF5FileMetaData_HEADERS}
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KFileMetaData/kfilemetadata COMPONENT Devel
)

install(FILES
    ${KF5FileMetaData_CamelCase_HEADERS}
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KFileMetaData/KFileMetaData COMPONENT Devel
)

configure_file(config-kfilemetadata.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kfilemetadata.h)

if(BUILD_QCH)
    ecm_add_qch(
        KF5FileMetaData_QCH
        NAME KFileMetaData
        BASE_NAME KF5FileMetaData
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KF5FileMetaData_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        BLANK_MACROS
            KFILEMETADATA_EXPORT
            KFILEMETADATA_DEPRECATED
            KFILEMETADATA_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

add_subdirectory(extractors)

add_subdirectory(writers)

=== debian/changelog ===
kfilemetadata-kf5 (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:22 +0000

kfilemetadata-kf5 (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:00 +0000

kfilemetadata-kf5 (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:21:09 +0000

kfilemetadata-kf5 (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * Added etc/xdg/kfilemetadata.categories to libkf5filemetadata-data.install 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:04:59 -0600

kfilemetadata-kf5 (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * Update symbols from build logs
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:09 +0000

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: catdoc,
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libattr1-dev,
               libavcodec-dev,
               libavdevice-dev (>= 1.0~),
               libavformat-dev,
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkf5archive-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libpostproc-dev,
               libswscale-dev,
               libtag1-dev (>= 1.9~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18),
               qtbase5-dev (>= 5.6.1~),
               qtmultimedia5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kfilemetadata
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata

Package: libkf5filemetadata-bin
Architecture: any
Multi-Arch: same
Depends: catdoc, ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-l10n (<= 4:4.14.0-1),
        libkf5filemetadata2 (<< 5.6.0),
        libkf5filemetadata5 (<< 5.0.0a),
        ${kde-l10n:all},
Replaces: kde-l10n (<= 4:4.14.0-1),
          libkf5filemetadata2 (<< 5.6.0),
          libkf5filemetadata5 (<< 5.0.0a),
          ${kde-l10n:all},
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-dev
Architecture: any
Section: libdevel
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5filemetadata1-dev
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

Package: libkf5filemetadata3
Architecture: any
Multi-Arch: same
Section: libs
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Breaks: libkf5filemetadata2 (<< 5.6.0)
Replaces: libkf5filemetadata2 (<< 5.6.0)
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kf5filemetadata3-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kfilemetadata-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kfilemetadata-([\d.]+)\.tar\.xz

## kfilemetadata-kf5 5.50.0

=== debian/changelog ===
kfilemetadata-kf5 (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:13:01 +0100

kfilemetadata-kf5 (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * Update symbols from build logs
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:56 +0100

kfilemetadata-kf5 (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:50 +0100

kfilemetadata-kf5 (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Update install files
  * testsuite: Run tests one at the time
  * Add new patch:
    usermetadatawritertest-skip-if-xattr-is-not-supported.patch
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:55 +0200

kfilemetadata-kf5 (5.46.0-0ubuntu1) cosmic; urgency=medium

  * Install pri file for qmake
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:02 +0100

kfilemetadata-kf5 (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:25 +0200

kfilemetadata-kf5 (5.45.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.45.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 08 Apr 2018 06:29:35 +0000

kfilemetadata-kf5 (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:46 +0100

kfilemetadata-kf5 (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:30 +0100

kfilemetadata-kf5 (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:49 +0100

kfilemetadata-kf5 (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:10 +0100

kfilemetadata-kf5 (5.41.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.41)
  * Release to experimental

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate libqt5sql5-sqlite with :native. (Closes: 883243)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:34 -0300

kfilemetadata-kf5 (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:45:11 +0000

kfilemetadata-kf5 (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:56:58 +0000

kfilemetadata-kf5 (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:41:44 +0000

kfilemetadata-kf5 (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:29 +0000

kfilemetadata-kf5 (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:06 +0200

kfilemetadata-kf5 (5.37.0-1) experimental; urgency=medium

  * Build the qch files
  * Add libkf5filemetadata-doc package for the qch files
  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:59 +0200

kfilemetadata-kf5 (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:12:48 +0000

kfilemetadata-kf5 (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Update install files
  * Let autopkgtest take care of the build required for the test
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:55 +0200

kfilemetadata-kf5 (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:26 +0000

kfilemetadata-kf5 (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:40 +0000



=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: catdoc,
-               cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+               cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
                libattr1-dev,
                libavcodec-dev,
                libavdevice-dev (>= 1.0~),
@@ -14,18 +16,20 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.21),
-               libkf5archive-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
+               libkf5archive-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
                libpoppler-qt5-dev (>= 0.12.1),
                libpostproc-dev,
+               libqt5sql5-sqlite:native,
                libswscale-dev,
                libtag1-dev (>= 1.9~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18),
-               qtbase5-dev (>= 5.6.1~),
-               qtmultimedia5-dev
-Standards-Version: 3.9.8
-Homepage: https://projects.kde.org/projects/kde/workspace/kfilemetadata
+               qtbase5-dev (>= 5.8.0~),
+               qtmultimedia5-dev,
+               qttools5-dev-tools,
+Standards-Version: 4.1.4
+Homepage: https://projects.kde.org/projects/frameworks/kfilemetadata
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
 
@@ -61,9 +65,10 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5filemetadata3 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+Recommends: libkf5filemetadata-doc (= ${source:Version})
 Conflicts: libkf5filemetadata1-dev
 Description: library for extracting file metadata
  This library is for extracting file metadata.
@@ -71,6 +76,18 @@
  kfilemetadata is part of the KDE frameworks.
  .
  This package contains the development files.
+
+Package: libkf5filemetadata-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: library for extracting file metadata (documentation)
+ This library is for extracting file metadata.
+ .
+ kfilemetadata is part of the KDE Plasma desktop.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5filemetadata3
 Architecture: any

## kfilemetadata-kf5 5.54.0

=== debian/changelog ===
kfilemetadata-kf5 (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Add test missing dependency
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:48 -0300

kfilemetadata-kf5 (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:48 +0100

kfilemetadata-kf5 (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:29 +0200

kfilemetadata-kf5 (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:09 +0200

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libattr1-dev,
               libavcodec-dev (>= 57.48~),
               libavdevice-dev (>= 3.1~),
               libavformat-dev (>= 57.40~),
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkf5archive-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libpostproc-dev,
               libqt5sql5-sqlite:native,
               libswscale-dev,
               libtag1-dev (>= 1.11.1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kfilemetadata
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata.git

Package: libkf5filemetadata-bin
Architecture: any
Depends: catdoc, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Breaks: kde-l10n (<= 4:4.14.0-1),
        libkf5filemetadata2 (<< 5.6.0),
        libkf5filemetadata5 (<< 5.0.0a),
        ${kde-l10n:all},
Replaces: kde-l10n (<= 4:4.14.0-1),
          libkf5filemetadata2 (<< 5.6.0),
          libkf5filemetadata5 (<< 5.0.0a),
          ${kde-l10n:all},
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-dev
Section: libdevel
Architecture: any
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5filemetadata-doc (= ${source:Version})
Conflicts: libkf5filemetadata1-dev
Breaks: baloo-kf5-dev (<< 5.54)
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

Package: libkf5filemetadata-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata (documentation)
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5filemetadata3
Section: libs
Architecture: any
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: baloo-kf5 (<< 5.54),
        libkf5baloo5 (<< 5.54),
        libkf5filemetadata2 (<< 5.6.0),
Replaces: libkf5filemetadata2 (<< 5.6.0)
Multi-Arch: same
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

## kfilemetadata-kf5 5.56.0

=== debian/changelog ===
kfilemetadata-kf5 (5.56.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New build dep on libkf5coreaddons-dev.
  * Update symbols from build logs.
  * lintian override for file not used or installed.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:35:38 +0000

kfilemetadata-kf5 (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:30:50 +0000

kfilemetadata-kf5 (5.54.0-0ubuntu1) disco; urgency=medium

  * Add qttools5-dev for Qt5Help.
  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:40 +0000

kfilemetadata-kf5 (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:48:25 +0000

kfilemetadata-kf5 (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Update symbols files
  * Add libkf5coreaddons-data to testsuite Depends, see
    https://phabricator.kde.org/D16593 for more information

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:56 +0000

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: catdoc,
               cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libattr1-dev,
               libavcodec-dev,
               libavdevice-dev (>= 1.0~),
               libavformat-dev,
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkf5archive-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libpostproc-dev,
               libqt5sql5-sqlite:native,
               libswscale-dev,
               libtag1-dev (>= 1.9~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18),
               qtbase5-dev (>= 5.8.0~),
               qtmultimedia5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kfilemetadata
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata

Package: libkf5filemetadata-bin
Architecture: any
Multi-Arch: same
Depends: catdoc, ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-l10n (<= 4:4.14.0-1),
        libkf5filemetadata2 (<< 5.6.0),
        libkf5filemetadata5 (<< 5.0.0a),
        ${kde-l10n:all},
Replaces: kde-l10n (<= 4:4.14.0-1),
          libkf5filemetadata2 (<< 5.6.0),
          libkf5filemetadata5 (<< 5.0.0a),
          ${kde-l10n:all},
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-dev
Architecture: any
Section: libdevel
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5filemetadata-doc (= ${source:Version})
Conflicts: libkf5filemetadata1-dev
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

Package: libkf5filemetadata-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata (documentation)
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.

Package: libkf5filemetadata3
Architecture: any
Multi-Arch: same
Section: libs
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Breaks: libkf5filemetadata2 (<< 5.6.0)
Replaces: libkf5filemetadata2 (<< 5.6.0)
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         libkf5coreaddons-data
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kfilemetadata-kf5 5.62.0

=== debian/changelog ===
kfilemetadata-kf5 (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Disable autopkgtest testsuite
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:00 -0700

kfilemetadata-kf5 (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 932274).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Add missing build dep
  * Update symbols file
  * Ignore reprotest build path variations
  * Add debian/source/lintian-overrides about autotests/samplefiles/test.AppImage
  * Release to experimental

  [ Jonathan Riddell ]
  * moved conffile

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:30 +0100

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libattr1-dev,
               libavcodec-dev (>= 57.48~),
               libavdevice-dev (>= 3.1~),
               libavformat-dev (>= 57.40~),
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkf5archive-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libpostproc-dev,
               libqt5sql5-sqlite:native,
               libswscale-dev,
               libtag1-dev (>= 1.11.1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kfilemetadata
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata.git

Package: libkf5filemetadata-bin
Architecture: any
Depends: catdoc, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Breaks: kde-l10n (<= 4:4.14.0-1),
        libkf5filemetadata2 (<< 5.6.0),
        libkf5filemetadata5 (<< 5.0.0a),
        ${kde-l10n:all},
Replaces: kde-l10n (<= 4:4.14.0-1),
          libkf5filemetadata2 (<< 5.6.0),
          libkf5filemetadata5 (<< 5.0.0a),
          ${kde-l10n:all},
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-dev
Section: libdevel
Architecture: any
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5filemetadata-doc (= ${source:Version})
Conflicts: libkf5filemetadata1-dev
Breaks: baloo-kf5-dev (<< 5.54)
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

Package: libkf5filemetadata-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata (documentation)
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5filemetadata3
Section: libs
Architecture: any
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: baloo-kf5 (<< 5.54),
        libkf5baloo5 (<< 5.54),
        libkf5filemetadata2 (<< 5.6.0),
Replaces: libkf5filemetadata2 (<< 5.6.0)
Multi-Arch: same
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
